<!DOCTYPE <!DOCTYPE html>
<html>
<head>
    <title>Quora</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='main.css') }}">
</head>
<body>
    <div>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" id="logo" href="{{url_for('home')}}">Quora</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="{{ url_for('home')}}">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('blogs')}}">Blogs</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('questions')}}">Questions</a>
            </li>
            <li class="nav-item">
            <!-- <form class="form-inline my-2 my-lg-0" action="search" >
                <input class="form-control mr-sm-2" type="search" name='search' placeholder="Search" >
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form> -->
            {% if g.search_form %}
       <form class="navbar-form navbar-left" method="get"
               action="{{ url_for('search') }}">
           <div class="form-group">
               {{ g.search_form.q(size=20, class='form-control',
                   placeholder=g.search_form.q.label.text) }}
           </div>
       </form>
   {% endif %}
        </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ url_for('ask_question')}}">Add question</a>
            </li>

            {% if current_user.is_authenticated %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('account')}}">{{ current_user.username}}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('logout')}}">Log out</a>
                </li>
            {% else %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('login')}}">Log in</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{url_for('register')}}">Register</a>
                </li>
            {% endif %}
            
            </ul>
           
        </div>
        </nav>
    </div>

    <main role="main" class="container" id="cont">
        <div class="row">
            <div class="col-md-8">
                {% with messages = get_flashed_messages(with_categories = true) %}
                    {% if messages %}
                        {% for category, message in messages %}
                            <div class="alert alert-{{ category }}">
                                {{ message }}
                            </div>
                        {% endfor %}
                    {% endif %}
                {% endwith %}
                {% block content%}{% endblock%}
            </div>
       
        </div>
    </main>
            
            
        <p>{{ data }}</p>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
      
</body>
</html>